Rekamedika Docs
Device Authorization

POST /device/code

POST
/api/auth/device/code

Request a device and user code

Follow rfc8628#section-3.2

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

client_id*string

The client ID of the application

user_id?string

The user ID to which the device code should be pre-bound.

scope?string

Space-separated list of scopes

Response Body

application/json

application/json

curl -X POST "https://example.com/api/auth/device/code" \  -H "Content-Type: application/json" \  -d '{    "client_id": "string"  }'
{  "device_code": "string",  "user_code": "string",  "verification_uri": "http://example.com",  "verification_uri_complete": "http://example.com",  "expires_in": 0,  "interval": 0}
{  "error": "invalid_request",  "error_description": "string"}

Is this page helpful?